Package ej.mwt.style

## Class DefaultStyle

- java.lang.Object
- - ej.mwt.style.DefaultStyle

-     public class DefaultStyle
      extends Object

  Defines the value of each field of the default style.

  The default style has:

  - no dimension,
  - left horizontal alignment,
  - top vertical alignment,
  - no margin,
  - no border,
  - no padding,
  - white rectangular background,
  - black color,
  - default font,
  - no extra field.
  See Also:
    `Font.getDefaultFont()`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Background` | `BACKGROUND` | The background of the default style.
    `static Outline` | `BORDER` | The border of the default style.
    `static int` | `COLOR` | The color of the default style.
    `static Dimension` | `DIMENSION` | The dimension of the default style.
    `static int` | `HORIZONTAL_ALIGNMENT` | The horizontal alignment of the default style.
    `static Outline` | `MARGIN` | The margin of the default style.
    `static Outline` | `PADDING` | The padding of the default style.
    `static int` | `VERTICAL_ALIGNMENT` | The vertical alignment of the default style.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultStyle()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIMENSION

          public static final Dimension DIMENSION

      The dimension of the default style.

    - #### HORIZONTAL_ALIGNMENT

          public static final int HORIZONTAL_ALIGNMENT

      The horizontal alignment of the default style.
      See Also:
        Constant Field Values

    - #### VERTICAL_ALIGNMENT

          public static final int VERTICAL_ALIGNMENT

      The vertical alignment of the default style.
      See Also:
        Constant Field Values

    - #### MARGIN

          public static final Outline MARGIN

      The margin of the default style.

    - #### BORDER

          public static final Outline BORDER

      The border of the default style.

    - #### PADDING

          public static final Outline PADDING

      The padding of the default style.

    - #### BACKGROUND

          public static final Background BACKGROUND

      The background of the default style.

    - #### COLOR

          public static final int COLOR

      The color of the default style.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultStyle

          public DefaultStyle()